export type Tag = {
    id: number;
    groupId: number;
    name: string
    couchCount?: number;
    group?: string | null;
    isActive?: boolean,
    isSelected?: boolean,
    canDeleted?: boolean
};

export type ThemeGroups = {
    id: number;
    name: string;
    tags: Tag[];
};

export type SearchData = {
    themesGroups: ThemeGroups[],
    sessionCostMin: number;
    sessionCostMax: number;
    sessionDurationMin: number;
    sessionDurationMax: number;
};

export type Language = {
    id: number;
    code: string;
    nativeSpelling: string;
}

export type Languages = Language[];

export type ExpertsThemesGroups = {
    id: number,
    name: string,
    isActive?: boolean,
    canDeleted?: boolean
};

export interface ExpertsTags {
    themesGroups?: ExpertsThemesGroups[],
    themesTags?: Tag[]
}
